@import "@/styles/variables";

.checkbox-wrapper {
    .label {
        @include button-2;

        display: flex;
        align-items: center;
        gap: 0.5rem;
        color: $gray-600;
        cursor: pointer;
        line-height: 16px;

        &:hover {
            color: $gray-900;
        }

        .label-content {
            &::first-letter {
                text-transform: uppercase;
            }
        }

        &__disabled {
            cursor: not-allowed;
        }
    }

    input[type="checkbox"] {
        appearance: none;
        margin: 0;
        width: 1rem;
        min-width: 1rem;
        height: 1rem;
        border: 1px solid $gray-500;
        border-radius: 4px;
        cursor: pointer;

        &:disabled {
            cursor: not-allowed;
        }

        &:hover {
            border: 1px solid $gray-700;
        }

        &:checked {
            background: $gray-800;
            border: 1px solid transparent;
            position: relative;

            &::before {
                content: url("/assets/images/checked.svg");
                color: $white;
                position: absolute;
                left: 0.19rem;
                bottom: 0.07rem;
            }

            + .label-content {
                color: $gray-800;
                font-weight: 600;
            }

            &:disabled {
                cursor: not-allowed;
                background: $gray-500;
                border: 1px solid $gray-500;
            }
        }
    }
}
